Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/REST/Client/Values/ContentType/FieldDefinition.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\REST\Client\Values\ContentType;
8
9 use eZ\Publish\API\Repository\Values\ContentType\FieldDefinition as APIFieldDefinition;
10
29 class FieldDefinition extends APIFieldDefinition
30 {
37 protected $names;
38
44 protected $descriptions;
45
51 protected $validators;
52
58 protected $fieldSettings;
59
60 public function __construct(array $data = array())
61 {
62 foreach ($data as $propertyName => $propertyValue) {
63 $this->$propertyName = $propertyValue;
64 }
65 }
66
70 public function getNames()
71 {
72 return $this->names;
73 }
74
78 public function getName($languageCode = null)
79 {
80 return $this->names[$languageCode];
81 }
82
86 public function getDescriptions()
87 {
88 return $this->descriptions;
89 }
90
94 public function getDescription($languageCode = null)
95 {
96 return $this->descriptions[$languageCode];
97 }
98
104 public function getValidatorConfiguration()
105 {
106 return $this->validators;
107 }
108
114 public function getFieldSettings()
115 {
116 return $this->fieldSettings;
117 }
118 }
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition
Definition: API/Repository/Values/ContentType/FieldDefinition.php:31
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:30
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\getNames
getNames()
{Return the human readable name in all provided languages.The structure of the return value is: arra...
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:70
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\getFieldSettings
getFieldSettings()
This method returns settings for the field definition supported by the field type.
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:114
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\getDescriptions
getDescriptions()
{Return the human readable description in all provided languages.The structure of the return value is...
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:86
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\$names
$names
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:37
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\$descriptions
$descriptions
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:44
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\getDescription
getDescription($languageCode=null)
{Return the human readable description of the domain object in a given language.If $languageCode is d...
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:94
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\$validators
$validators
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:51
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\getName
getName($languageCode=null)
{Return the name of the domain object in a given language.If $languageCode is defined,...
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:78
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\__construct
__construct(array $data=array())
Construct object optionally with a set of properties.
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:60
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\$fieldSettings
$fieldSettings
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:58
eZ\Publish\Core\REST\Client\Values\ContentType\FieldDefinition\getValidatorConfiguration
getValidatorConfiguration()
This method returns the validators of this field definition supported by the field type.
Definition: Core/REST/Client/Values/ContentType/FieldDefinition.php:104
eZ\Publish\Core\REST\Client\Values\ContentType
Definition: Core/REST/Client/Values/ContentType/ContentType.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.